package com.sooka.system.real_estate.pre_sale.service;

import com.sooka.system.real_estate.pre_sale.domain.TGuijiRealEstatePreSale;

import java.util.List;

/**
 * 市房地产-预售信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiRealEstatePreSaleService
{
    /**
     * 查询市房地产-预售信息
     *
     * @param id 市房地产-预售信息ID
     * @return 市房地产-预售信息
     */
    public TGuijiRealEstatePreSale selectById(String id);

    /**
     * 查询市房地产-预售信息列表
     *
     * @param param 市房地产-预售信息
     * @return 市房地产-预售信息集合
     */
    public List<TGuijiRealEstatePreSale> selectList(TGuijiRealEstatePreSale param);

    /**
     * 新增市房地产-预售信息
     *
     * @param param 市房地产-预售信息
     * @return 结果
     */
    public int insert(TGuijiRealEstatePreSale param);

    /**
     * 修改市房地产-预售信息
     *
     * @param param 市房地产-预售信息
     * @return 结果
     */
    public int update(TGuijiRealEstatePreSale param);

    /**
     * 批量删除市房地产-预售信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除市房地产-预售信息信息
     *
     * @param id 市房地产-预售信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
